use maud::{html, Markup};

use crate::templates::layout;

pub fn changelog_page() -> Markup {
    layout(html! {
        h1 { "Beacon Changelog" }

        section {
            h2 { "1.4.1, 11.02.2025" }
            ul {
                li { "Improved fish icon loading speed, hopefully by a lot!" }
            }
        }

        section {
            h2 { "1.4.0, 11.02.2025" }
            ul {
                li { "Implemented support for Fisher's Intuition" }
                li { "Fixed .0 patches showing without the decimal place (e.g. 6.0 would display as 6)" }
            }
        }

        section {
            h2 { "1.3.0, 11.02.2025" }
            ul {
                li { "You can now pin fish to the top of your list. These are also saved in your account." }
            }
        }

        section {
            h2 { "1.2.0, 09.02.2025" }
            ul {
                li { "Improved display of fish conditions, the weather constraints are now shown" }
                li { "The fishing hole name is now also shown next to the fish"}
                li { "Color-coded the patch display badges" }
                li { "Added a note about website auto-refresh next to the Eorzea clock"}
            }
        }

        section {
            h2 { "1.1.0, 07.02.2025" }
            ul {
                li { "Fish now directly display their non-relative dates for their next or current window" }
                li { "Additionally, fish that are up now display the starting time for the subsequent window" }
                li { "The site now saves your account ID in your browser storage, and automatically redirects you on page visit" }
            }
        }

        section {
            h2 { "1.0.0, 06.02.2025" }
            ul {
                li { "Initial release" }
            }
        }
    })
}
