# beacon

This is a small website providing a tracker for big fish in Final Fantasy XIV.

It's built with [axum](https://lib.rs/axum), [maud](https://maud.lambda.xyz), and Postgres as a datastore, and a
little tasteful interactivity here and there using [htmx](https://htmx.org).
The data for fish is based on the data used in [Carbuncle Plushy's Fish Tracker](https://ff14fish.carbuncleplushy.com).

## Todo

Current major missing features include:

- [x] Fisher's Intuition (catching other fish to spawn a big fish)
- [ ] Spearfishing
- [x] Better condition display, show the weather, etc
- [ ] Folklore requirement display
- [ ] Ability to remove caught fish (un-catch them)
